commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jfcl...@apache.org
Subject svn commit: r165009 - /jakarta/commons/proper/daemon/trunk/src/native/unix/native/Tomcat5.sh
Date Wed, 27 Apr 2005 16:37:13 GMT
Author: jfclere
Date: Wed Apr 27 09:37:11 2005
New Revision: 165009

URL: http://svn.apache.org/viewcvs?rev=165009&view=rev
Log:
Add wait/stop and Tomcat/APR.

Modified:
    jakarta/commons/proper/daemon/trunk/src/native/unix/native/Tomcat5.sh

Modified: jakarta/commons/proper/daemon/trunk/src/native/unix/native/Tomcat5.sh
URL: http://svn.apache.org/viewcvs/jakarta/commons/proper/daemon/trunk/src/native/unix/native/Tomcat5.sh?rev=165009&r1=165008&r2=165009&view=diff
==============================================================================
--- jakarta/commons/proper/daemon/trunk/src/native/unix/native/Tomcat5.sh (original)
+++ jakarta/commons/proper/daemon/trunk/src/native/unix/native/Tomcat5.sh Wed Apr 27 09:37:11
2005
@@ -29,12 +29,13 @@
 # That is for Tomcat-5.0.x (Apache Tomcat/5.0)
 #
 # Adapt the following lines to your configuration
-JAVA_HOME=/usr/java/j2sdk1.4.2_03
-CATALINA_HOME=/home/tomcat5/jakarta-tomcat-5/build
-DAEMON_HOME=/home/tomcat5/jakarta-commons/daemon
+JAVA_HOME=/home2/java/j2sdk1.4.2_03
+CATALINA_HOME=/home/tomcat5/tomcat5/jakarta-tomcat-5/build
+DAEMON_HOME=/home/jfclere/daemon
 TOMCAT_USER=tomcat5
 TMP_DIR=/var/tmp
-CATALINA_OPTS=
+
+CATALINA_OPTS="-Djava.library.path=/home/jfclere/jakarta-tomcat-connectors/jni/native/.libs"
 CLASSPATH=\
 $JAVA_HOME/lib/tools.jar:\
 $CATALINA_HOME/bin/commons-daemon.jar:\
@@ -50,6 +51,7 @@
     -home $JAVA_HOME \
     -Dcatalina.home=$CATALINA_HOME \
     -Djava.io.tmpdir=$TMP_DIR \
+    -wait \
     -outfile $CATALINA_HOME/logs/catalina.out \
     -errfile '&1' \
     $CATALINA_OPTS \
@@ -60,14 +62,17 @@
     #-verbose \
     # To get a debug of jsvc.
     #-debug \
+    exit $?
     ;;
 
   stop)
     #
     # Stop Tomcat
     #
-    PID=`cat /var/run/jsvc.pid`
-    kill $PID
+    $DAEMON_HOME/src/native/unix/jsvc \
+    -stop \
+    org.apache.catalina.startup.Bootstrap
+    exit $?
     ;;
 
   *)



---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message